Manifest-Version: 1.0
Bnd-LastModified: 1724378104199
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Portal Kernel
Bundle-SymbolicName: com.liferay.portal.kernel
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 81.0.1
Created-By: 1.8.0_381 (Oracle Corporation)
Export-Package: com.liferay.admin.kernel.util;version="2.0.0";uses:="c
 om.liferay.portal.kernel.model",com.liferay.announcements.kernel.cons
 tants;version="1.0.0",com.liferay.announcements.kernel.exception;vers
 ion="1.0.0";uses:="com.liferay.portal.kernel.exception",com.liferay.a
 nnouncements.kernel.model;version="4.0.0";uses:="com.liferay.exportim
 port.kernel.lar,com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.b
 ase,com.liferay.portal.kernel.annotation,com.liferay.portal.kernel.be
 an,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.mode
 l,com.liferay.portal.kernel.model.wrapper,com.liferay.portal.kernel.u
 til",com.liferay.announcements.kernel.service;version="2.5.0";uses:="
 com.liferay.announcements.kernel.model,com.liferay.exportimport.kerne
 l.lar,com.liferay.petra.sql.dsl.query,com.liferay.portal.kernel.dao.o
 rm,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.json
 webservice,com.liferay.portal.kernel.model,com.liferay.portal.kernel.
 search,com.liferay.portal.kernel.security.access.control,com.liferay.
 portal.kernel.service,com.liferay.portal.kernel.systemevent,com.lifer
 ay.portal.kernel.transaction,com.liferay.portal.kernel.util",com.life
 ray.announcements.kernel.service.persistence;version="3.3.0";uses:="c
 om.liferay.announcements.kernel.exception,com.liferay.announcements.k
 ernel.model,com.liferay.portal.kernel.dao.orm,com.liferay.portal.kern
 el.service,com.liferay.portal.kernel.service.persistence,com.liferay.
 portal.kernel.util",com.liferay.announcements.kernel.util;version="2.
 0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.portal.ke
 rnel.model,com.liferay.portal.kernel.security.permission,com.liferay.
 portal.kernel.theme",com.liferay.asset.kernel;version="2.0.0";uses:="
 com.liferay.asset.kernel.model,com.liferay.portal.kernel.exception",c
 om.liferay.asset.kernel.action;version="1.1.1";uses:="com.liferay.ass
 et.kernel.model,com.liferay.portal.kernel.exception,com.liferay.porta
 l.kernel.security.permission,javax.servlet.http",com.liferay.asset.ke
 rnel.exception;version="2.3.0";uses:="com.liferay.asset.kernel.model,
 com.liferay.portal.kernel.exception",com.liferay.asset.kernel.model;v
 ersion="9.0.0";uses:="com.liferay.dynamic.data.mapping.kernel,com.lif
 eray.exportimport.kernel.lar,com.liferay.petra.sql.dsl,com.liferay.pe
 tra.sql.dsl.base,com.liferay.portal.kernel.annotation,com.liferay.por
 tal.kernel.bean,com.liferay.portal.kernel.exception,com.liferay.porta
 l.kernel.model,com.liferay.portal.kernel.model.change.tracking,com.li
 feray.portal.kernel.model.wrapper,com.liferay.portal.kernel.portlet,c
 om.liferay.portal.kernel.resource.bundle,com.liferay.portal.kernel.se
 curity.permission,com.liferay.portal.kernel.theme,com.liferay.portal.
 kernel.util,javax.portlet,javax.servlet,javax.servlet.http",com.lifer
 ay.asset.kernel.model.adapter;version="3.0.0";uses:="com.liferay.asse
 t.kernel.model,com.liferay.portal.kernel.model",com.liferay.asset.ker
 nel.service;version="7.3.0";uses:="com.liferay.asset.kernel.model,com
 .liferay.asset.kernel.service.persistence,com.liferay.exportimport.ke
 rnel.lar,com.liferay.petra.function,com.liferay.petra.sql.dsl.query,c
 om.liferay.portal.kernel.cache.thread.local,com.liferay.portal.kernel
 .change.tracking,com.liferay.portal.kernel.dao.orm,com.liferay.portal
 .kernel.exception,com.liferay.portal.kernel.increment,com.liferay.por
 tal.kernel.json,com.liferay.portal.kernel.jsonwebservice,com.liferay.
 portal.kernel.model,com.liferay.portal.kernel.search,com.liferay.port
 al.kernel.security.access.control,com.liferay.portal.kernel.service,c
 om.liferay.portal.kernel.service.change.tracking,com.liferay.portal.k
 ernel.service.permission,com.liferay.portal.kernel.service.persistenc
 e.change.tracking,com.liferay.portal.kernel.systemevent,com.liferay.p
 ortal.kernel.transaction,com.liferay.portal.kernel.util",com.liferay.
 asset.kernel.service.persistence;version="9.0.0";uses:="com.liferay.a
 sset.kernel.exception,com.liferay.asset.kernel.model,com.liferay.port
 al.kernel.dao.orm,com.liferay.portal.kernel.dao.search,com.liferay.po
 rtal.kernel.model,com.liferay.portal.kernel.service,com.liferay.porta
 l.kernel.service.persistence,com.liferay.portal.kernel.service.persis
 tence.change.tracking,com.liferay.portal.kernel.util",com.liferay.ass
 et.kernel.util;version="2.0.0",com.liferay.asset.kernel.validator;ver
 sion="2.0.0";uses:="com.liferay.portal.kernel.exception",com.liferay.
 background.task.kernel.util.comparator;version="1.1.0";uses:="com.lif
 eray.portal.kernel.backgroundtask,com.liferay.portal.kernel.util",com
 .liferay.counter.kernel;version="2.2.0",com.liferay.counter.kernel.ex
 ception;version="1.0.0";uses:="com.liferay.portal.kernel.exception",c
 om.liferay.counter.kernel.model;version="4.0.0";uses:="com.liferay.pe
 tra.sql.dsl,com.liferay.petra.sql.dsl.base,com.liferay.portal.kernel.
 annotation,com.liferay.portal.kernel.bean,com.liferay.portal.kernel.m
 odel,com.liferay.portal.kernel.model.wrapper,com.liferay.portal.kerne
 l.util",com.liferay.counter.kernel.service;version="2.1.0";uses:="com
 .liferay.portal.kernel.exception,com.liferay.portal.kernel.service,co
 m.liferay.portal.kernel.transaction",com.liferay.counter.kernel.servi
 ce.persistence;version="2.0.2",com.liferay.document.library.kernel;ve
 rsion="1.0.0";uses:="com.liferay.portal.kernel.exception",com.liferay
 .document.library.kernel.antivirus;version="3.1.0";uses:="com.liferay
 .portal.kernel.exception",com.liferay.document.library.kernel.documen
 t.conversion;version="1.0.0",com.liferay.document.library.kernel.exce
 ption;version="3.5.0";uses:="com.liferay.portal.kernel.exception",com
 .liferay.document.library.kernel.model;version="7.0.0";uses:="com.lif
 eray.dynamic.data.mapping.kernel,com.liferay.expando.kernel.model,com
 .liferay.exportimport.kernel.lar,com.liferay.petra.sql.dsl,com.lifera
 y.petra.sql.dsl.base,com.liferay.portal.kernel.annotation,com.liferay
 .portal.kernel.bean,com.liferay.portal.kernel.exception,com.liferay.p
 ortal.kernel.lock,com.liferay.portal.kernel.model,com.liferay.portal.
 kernel.model.change.tracking,com.liferay.portal.kernel.model.wrapper,
 com.liferay.portal.kernel.repository.model,com.liferay.portal.kernel.
 util,com.liferay.trash.kernel.model",com.liferay.document.library.ker
 nel.service;version="7.2.0";uses:="com.liferay.asset.kernel.model,com
 .liferay.document.library.kernel.exception,com.liferay.document.libra
 ry.kernel.model,com.liferay.dynamic.data.mapping.kernel,com.liferay.e
 xportimport.kernel.lar,com.liferay.petra.function,com.liferay.petra.s
 ql.dsl.query,com.liferay.portal.kernel.cache.thread.local,com.liferay
 .portal.kernel.change.tracking,com.liferay.portal.kernel.dao.orm,com.
 liferay.portal.kernel.exception,com.liferay.portal.kernel.increment,c
 om.liferay.portal.kernel.jsonwebservice,com.liferay.portal.kernel.loc
 k,com.liferay.portal.kernel.messaging.async,com.liferay.portal.kernel
 .model,com.liferay.portal.kernel.repository.model,com.liferay.portal.
 kernel.search,com.liferay.portal.kernel.security.access.control,com.l
 iferay.portal.kernel.service,com.liferay.portal.kernel.service.change
 .tracking,com.liferay.portal.kernel.service.permission,com.liferay.po
 rtal.kernel.service.persistence.change.tracking,com.liferay.portal.ke
 rnel.systemevent,com.liferay.portal.kernel.transaction,com.liferay.po
 rtal.kernel.util",com.liferay.document.library.kernel.service.persist
 ence;version="5.1.0";uses:="com.liferay.document.library.kernel.excep
 tion,com.liferay.document.library.kernel.model,com.liferay.portal.ker
 nel.dao.orm,com.liferay.portal.kernel.service,com.liferay.portal.kern
 el.service.persistence,com.liferay.portal.kernel.service.persistence.
 change.tracking,com.liferay.portal.kernel.util",com.liferay.document.
 library.kernel.store;version="3.1.0";uses:="com.liferay.portal.kernel
 .exception,com.liferay.portal.kernel.transaction",com.liferay.documen
 t.library.kernel.util;version="7.1.0";uses:="com.liferay.document.lib
 rary.kernel.exception,com.liferay.document.library.kernel.model,com.l
 iferay.exportimport.kernel.lar,com.liferay.portal.kernel.exception,co
 m.liferay.portal.kernel.repository.model,com.liferay.portal.kernel.se
 arch,com.liferay.portal.kernel.service,com.liferay.portal.kernel.them
 e,com.liferay.portal.kernel.util,com.liferay.portal.kernel.xml,javax.
 portlet",com.liferay.document.library.kernel.util.comparator;version=
 "3.0.0";uses:="com.liferay.document.library.kernel.model,com.liferay.
 portal.kernel.repository.model,com.liferay.portal.kernel.util",com.li
 feray.document.library.kernel.versioning;version="1.0.0";uses:="com.l
 iferay.document.library.kernel.model",com.liferay.dynamic.data.mappin
 g.kernel;version="3.0.0";uses:="com.liferay.expando.kernel.model,com.
 liferay.portal.kernel.exception,com.liferay.portal.kernel.json,com.li
 feray.portal.kernel.model,com.liferay.portal.kernel.search,com.lifera
 y.portal.kernel.service,com.liferay.portal.kernel.theme",com.liferay.
 expando.kernel.exception;version="2.0.0";uses:="com.liferay.portal.ke
 rnel.exception",com.liferay.expando.kernel.model;version="5.0.0";uses
 :="com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.base,com.lifer
 ay.portal.kernel.annotation,com.liferay.portal.kernel.bean,com.lifera
 y.portal.kernel.exception,com.liferay.portal.kernel.json,com.liferay.
 portal.kernel.model,com.liferay.portal.kernel.model.change.tracking,c
 om.liferay.portal.kernel.model.wrapper,com.liferay.portal.kernel.serv
 ice,com.liferay.portal.kernel.util",com.liferay.expando.kernel.model.
 adapter;version="3.0.0";uses:="com.liferay.expando.kernel.model,com.l
 iferay.portal.kernel.model",com.liferay.expando.kernel.service;versio
 n="1.8.0";uses:="com.liferay.expando.kernel.model,com.liferay.petra.f
 unction,com.liferay.petra.sql.dsl.query,com.liferay.portal.kernel.cha
 nge.tracking,com.liferay.portal.kernel.dao.orm,com.liferay.portal.ker
 nel.exception,com.liferay.portal.kernel.json,com.liferay.portal.kerne
 l.jsonwebservice,com.liferay.portal.kernel.model,com.liferay.portal.k
 ernel.search,com.liferay.portal.kernel.security.access.control,com.li
 feray.portal.kernel.service,com.liferay.portal.kernel.service.change.
 tracking,com.liferay.portal.kernel.service.persistence.change.trackin
 g,com.liferay.portal.kernel.transaction,com.liferay.portal.kernel.uti
 l",com.liferay.expando.kernel.service.permission;version="1.0.0";uses
 :="com.liferay.expando.kernel.model,com.liferay.portal.kernel.excepti
 on,com.liferay.portal.kernel.security.permission",com.liferay.expando
 .kernel.service.persistence;version="3.2.0";uses:="com.liferay.expand
 o.kernel.exception,com.liferay.expando.kernel.model,com.liferay.porta
 l.kernel.dao.orm,com.liferay.portal.kernel.service,com.liferay.portal
 .kernel.service.persistence,com.liferay.portal.kernel.service.persist
 ence.change.tracking,com.liferay.portal.kernel.util",com.liferay.expa
 ndo.kernel.util;version="4.0.0";uses:="com.liferay.expando.kernel.mod
 el,com.liferay.portal.kernel.service",com.liferay.exportimport.kernel
 .background.task;version="1.3.1",com.liferay.exportimport.kernel.conf
 iguration;version="5.0.0";uses:="com.liferay.exportimport.kernel.mode
 l,com.liferay.portal.kernel.backgroundtask,com.liferay.portal.kernel.
 exception,com.liferay.portal.kernel.model,javax.portlet",com.liferay.
 exportimport.kernel.configuration.constants;version="1.0.0",com.lifer
 ay.exportimport.kernel.controller;version="2.0.0";uses:="com.liferay.
 exportimport.kernel.lar,com.liferay.exportimport.kernel.model",com.li
 feray.exportimport.kernel.exception;version="2.0.0";uses:="com.lifera
 y.exportimport.kernel.lar,com.liferay.portal.kernel.exception",com.li
 feray.exportimport.kernel.lar;version="4.3.0";uses:="com.liferay.expa
 ndo.kernel.model,com.liferay.exportimport.kernel.model,com.liferay.po
 rtal.kernel.backgroundtask,com.liferay.portal.kernel.dao.orm,com.life
 ray.portal.kernel.exception,com.liferay.portal.kernel.lock,com.lifera
 y.portal.kernel.model,com.liferay.portal.kernel.repository.model,com.
 liferay.portal.kernel.service,com.liferay.portal.kernel.theme,com.lif
 eray.portal.kernel.util,com.liferay.portal.kernel.xml,com.liferay.por
 tal.kernel.zip,javax.portlet",com.liferay.exportimport.kernel.lifecyc
 le;version="4.0.0";uses:="com.liferay.exportimport.kernel.lar,com.lif
 eray.exportimport.kernel.model,com.liferay.portal.kernel.model",com.l
 iferay.exportimport.kernel.lifecycle.constants;version="1.0.0",com.li
 feray.exportimport.kernel.model;version="5.0.0";uses:="com.liferay.pe
 tra.sql.dsl,com.liferay.petra.sql.dsl.base,com.liferay.portal.kernel.
 annotation,com.liferay.portal.kernel.bean,com.liferay.portal.kernel.e
 xception,com.liferay.portal.kernel.model,com.liferay.portal.kernel.mo
 del.wrapper,com.liferay.portal.kernel.util,com.liferay.trash.kernel.m
 odel",com.liferay.exportimport.kernel.service;version="2.7.0";uses:="
 com.liferay.exportimport.kernel.lar,com.liferay.exportimport.kernel.m
 odel,com.liferay.petra.sql.dsl.query,com.liferay.portal.kernel.dao.or
 m,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.jsonw
 ebservice,com.liferay.portal.kernel.model,com.liferay.portal.kernel.s
 earch,com.liferay.portal.kernel.security.access.control,com.liferay.p
 ortal.kernel.service,com.liferay.portal.kernel.systemevent,com.lifera
 y.portal.kernel.transaction,com.liferay.portal.kernel.util,javax.port
 let",com.liferay.exportimport.kernel.service.persistence;version="2.4
 .0";uses:="com.liferay.exportimport.kernel.exception,com.liferay.expo
 rtimport.kernel.model,com.liferay.portal.kernel.dao.orm,com.liferay.p
 ortal.kernel.service,com.liferay.portal.kernel.service.persistence,co
 m.liferay.portal.kernel.util",com.liferay.exportimport.kernel.staging
 ;version="2.2.0";uses:="com.liferay.exportimport.kernel.lar,com.lifer
 ay.exportimport.kernel.model,com.liferay.portal.kernel.exception,com.
 liferay.portal.kernel.json,com.liferay.portal.kernel.model,com.lifera
 y.portal.kernel.security.auth,com.liferay.portal.kernel.util,com.life
 ray.portal.kernel.workflow,com.liferay.portal.kernel.xml,javax.portle
 t,javax.servlet.http",com.liferay.exportimport.kernel.staging.constan
 ts;version="1.0.0",com.liferay.exportimport.kernel.staging.permission
 ;version="1.0.0";uses:="com.liferay.portal.kernel.model,com.liferay.p
 ortal.kernel.security.permission",com.liferay.exportimport.kernel.xst
 ream;version="2.0.0",com.liferay.layout.admin.kernel.model;version="1
 .0.0";uses:="com.liferay.portal.kernel.model",com.liferay.layout.admi
 n.kernel.util;version="2.0.0";uses:="com.liferay.portal.kernel.except
 ion,com.liferay.portal.kernel.model,com.liferay.portal.kernel.theme,c
 om.liferay.portal.kernel.util,com.liferay.portal.kernel.xml",com.life
 ray.layout.admin.kernel.visibility;version="2.0.0",com.liferay.layout
 .seo.kernel;version="2.0.0";uses:="com.liferay.portal.kernel.exceptio
 n,com.liferay.portal.kernel.model,com.liferay.portal.kernel.theme,com
 .liferay.portal.kernel.util",com.liferay.layouts.admin.kernel.util;ve
 rsion="81.0.1",com.liferay.mail.kernel.model;version="1.1.0";uses:="j
 avax.mail.internet",com.liferay.mail.kernel.service;version="3.0.0";u
 ses:="com.liferay.mail.kernel.model,com.liferay.portal.kernel.excepti
 on,com.liferay.portal.kernel.transaction,javax.mail",com.liferay.mail
 .kernel.template;version="2.0.0";uses:="com.liferay.portal.kernel.uti
 l",com.liferay.mail.kernel.util;version="1.0.0";uses:="com.liferay.ma
 il.kernel.model",com.liferay.membership.requests.kernel.util.comparat
 or;version="1.1.0";uses:="com.liferay.portal.kernel.model,com.liferay
 .portal.kernel.util",com.liferay.portal.kernel.annotation;version="7.
 0.0",com.liferay.portal.kernel.aop;version="1.0.1",com.liferay.portal
 .kernel.application.type;version="1.0.0",com.liferay.portal.kernel.au
 dit;version="7.1.0";uses:="com.liferay.portal.kernel.exception,com.li
 feray.portal.kernel.json,com.liferay.portal.kernel.messaging.proxy",c
 om.liferay.portal.kernel.backgroundtask;version="9.0.0";uses:="com.li
 feray.petra.lang,com.liferay.portal.kernel.backgroundtask.display,com
 .liferay.portal.kernel.exception,com.liferay.portal.kernel.messaging,
 com.liferay.portal.kernel.model,com.liferay.portal.kernel.repository.
 model,com.liferay.portal.kernel.service,com.liferay.portal.kernel.uti
 l",com.liferay.portal.kernel.backgroundtask.constants;version="1.0.0"
 ,com.liferay.portal.kernel.backgroundtask.display;version="2.0.0";use
 s:="com.liferay.portal.kernel.backgroundtask,com.liferay.portal.kerne
 l.json,com.liferay.portal.kernel.template,javax.servlet.http",com.lif
 eray.portal.kernel.bean;version="10.0.0";uses:="javax.portlet,javax.s
 ervlet.http",com.liferay.portal.kernel.cache;version="13.0.0";uses:="
 com.liferay.portal.kernel.transaction",com.liferay.portal.kernel.cach
 e.index;version="6.2.0";uses:="com.liferay.portal.kernel.cache",com.l
 iferay.portal.kernel.cache.key;version="8.0.0";uses:="com.liferay.pet
 ra.string",com.liferay.portal.kernel.cache.thread.local;version="2.0.
 0";uses:="com.liferay.portal.kernel.transaction",com.liferay.portal.k
 ernel.cache.transactional;version="3.1.0";uses:="com.liferay.portal.k
 ernel.cache,com.liferay.portal.kernel.transaction",com.liferay.portal
 .kernel.cal;version="6.3.0",com.liferay.portal.kernel.captcha;version
 ="7.0.0";uses:="com.liferay.portal.kernel.exception,javax.portlet,jav
 ax.servlet.http",com.liferay.portal.kernel.change.tracking;version="2
 .2.0";uses:="com.liferay.petra.lang,com.liferay.portal.kernel.excepti
 on",com.liferay.portal.kernel.cluster;version="8.0.0";uses:="com.life
 ray.portal.kernel.concurrent,com.liferay.portal.kernel.exception,com.
 liferay.portal.kernel.messaging,com.liferay.portal.kernel.util",com.l
 iferay.portal.kernel.cluster.messaging;version="7.1.0";uses:="com.lif
 eray.portal.kernel.cluster,com.liferay.portal.kernel.messaging",com.l
 iferay.portal.kernel.comment;version="4.0.0";uses:="com.liferay.expor
 timport.kernel.lar,com.liferay.portal.kernel.dao.orm,com.liferay.port
 al.kernel.exception,com.liferay.portal.kernel.model,com.liferay.porta
 l.kernel.security.permission,com.liferay.portal.kernel.service,com.li
 feray.ratings.kernel.model",com.liferay.portal.kernel.comment.display
 .context;version="1.0.0";uses:="com.liferay.portal.kernel.comment,com
 .liferay.portal.kernel.display.context,com.liferay.portal.kernel.exce
 ption,javax.servlet.http",com.liferay.portal.kernel.concurrent;versio
 n="8.0.0",com.liferay.portal.kernel.configuration;version="7.0.0",com
 .liferay.portal.kernel.cookies;version="2.0.0";uses:="com.liferay.por
 tal.kernel.exception,com.liferay.portal.kernel.settings,javax.servlet
 .http",com.liferay.portal.kernel.cookies.constants;version="1.1.0",co
 m.liferay.portal.kernel.dao.db;version="10.1.0";uses:="com.liferay.pe
 tra.function,javax.naming,javax.sql",com.liferay.portal.kernel.dao.jd
 bc;version="9.0.0";uses:="javax.naming,javax.sql",com.liferay.portal.
 kernel.dao.jdbc.aop;version="7.0.0";uses:="javax.sql",com.liferay.por
 tal.kernel.dao.jdbc.pool.metrics;version="1.0.0",com.liferay.portal.k
 ernel.dao.orm;version="12.0.0";uses:="com.liferay.exportimport.kernel
 .lar,com.liferay.petra.function,com.liferay.petra.sql.dsl.query,com.l
 iferay.portal.kernel.cache,com.liferay.portal.kernel.exception,com.li
 feray.portal.kernel.model,com.liferay.portal.kernel.search,com.lifera
 y.portal.kernel.service,com.liferay.portal.kernel.service.persistence
 ,com.liferay.portal.kernel.transaction,com.liferay.portal.kernel.util
 ",com.liferay.portal.kernel.dao.search;version="9.0.0";uses:="com.lif
 eray.petra.function,com.liferay.portal.kernel.exception,com.liferay.p
 ortal.kernel.model,com.liferay.portal.kernel.search,com.liferay.porta
 l.kernel.util,javax.portlet,javax.servlet,javax.servlet.http",com.lif
 eray.portal.kernel.dependency.manager;version="1.2.0",com.liferay.por
 tal.kernel.deploy.auto;version="8.0.0";uses:="com.liferay.portal.kern
 el.deploy.auto.context,com.liferay.portal.kernel.exception,com.lifera
 y.portal.kernel.plugin",com.liferay.portal.kernel.deploy.auto.context
 ;version="7.0.0";uses:="com.liferay.portal.kernel.plugin",com.liferay
 .portal.kernel.deploy.hot;version="7.1.2";uses:="com.liferay.portal.k
 ernel.exception,com.liferay.portal.kernel.messaging,com.liferay.porta
 l.kernel.plugin,com.liferay.portal.kernel.util,javax.servlet",com.lif
 eray.portal.kernel.display.context;version="2.0.0";uses:="javax.servl
 et.http,org.osgi.framework",com.liferay.portal.kernel.display.context
 .helper;version="2.0.0";uses:="com.liferay.portal.kernel.model,com.li
 feray.portal.kernel.portlet,com.liferay.portal.kernel.security.permis
 sion,com.liferay.portal.kernel.theme,javax.servlet.http",com.liferay.
 portal.kernel.editor;version="8.0.0",com.liferay.portal.kernel.editor
 .configuration;version="1.1.0";uses:="com.liferay.portal.kernel.json,
 com.liferay.portal.kernel.portlet,com.liferay.portal.kernel.theme",co
 m.liferay.portal.kernel.editor.constants;version="1.0.0",com.liferay.
 portal.kernel.encryptor;version="1.0.0",com.liferay.portal.kernel.eve
 nts;version="6.3.0";uses:="com.liferay.portal.kernel.exception,javax.
 portlet,javax.servlet.http",com.liferay.portal.kernel.exception;versi
 on="12.3.0";uses:="com.liferay.portal.kernel.model,com.liferay.portal
 .kernel.security.auth,com.liferay.portal.kernel.util",com.liferay.por
 tal.kernel.facebook;version="7.0.0";uses:="com.liferay.portal.kernel.
 json,javax.portlet",com.liferay.portal.kernel.format;version="7.0.0",
 com.liferay.portal.kernel.frontend.esm;version="1.0.0",com.liferay.po
 rtal.kernel.frontend.icons;version="3.0.0";uses:="com.liferay.portal.
 kernel.theme",com.liferay.portal.kernel.frontend.source.map;version="
 1.0.0",com.liferay.portal.kernel.group.capability;version="1.0.0";use
 s:="com.liferay.portal.kernel.model",com.liferay.portal.kernel.image;
 version="9.0.0";uses:="com.liferay.portal.kernel.exception,com.lifera
 y.portal.kernel.model",com.liferay.portal.kernel.increment;version="7
 .1.0";uses:="com.liferay.petra.lang",com.liferay.portal.kernel.instan
 ce.lifecycle;version="2.1.0";uses:="com.liferay.portal.kernel.model",
 com.liferay.portal.kernel.interval;version="1.0.0";uses:="com.liferay
 .portal.kernel.exception",com.liferay.portal.kernel.io;version="9.0.0
 ",com.liferay.portal.kernel.io.constants;version="1.0.0",com.liferay.
 portal.kernel.io.unsync;version="8.0.0";uses:="com.liferay.petra.stri
 ng",com.liferay.portal.kernel.jazzy;version="1.0.0",com.liferay.porta
 l.kernel.jmx.model;version="7.0.0";uses:="javax.management",com.lifer
 ay.portal.kernel.jndi;version="7.0.0";uses:="javax.naming",com.lifera
 y.portal.kernel.json;version="11.0.0";uses:="com.liferay.petra.functi
 on,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.log"
 ,com.liferay.portal.kernel.jsonwebservice;version="9.0.0";uses:="com.
 liferay.portal.kernel.exception,com.liferay.portal.kernel.util,javax.
 servlet,javax.servlet.http",com.liferay.portal.kernel.language;versio
 n="11.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.por
 tal.kernel.resource.bundle,javax.portlet,javax.servlet.http",com.life
 ray.portal.kernel.language.constants;version="1.0.0",com.liferay.port
 al.kernel.layoutconfiguration.util;version="3.0.0";uses:="com.liferay
 .petra.string,com.liferay.portal.kernel.layoutconfiguration.util.xml,
 com.liferay.portal.kernel.model,com.liferay.portal.kernel.template,ja
 vax.servlet.http",com.liferay.portal.kernel.layoutconfiguration.util.
 xml;version="1.0.0",com.liferay.portal.kernel.license;version="1.0.0"
 ,com.liferay.portal.kernel.license.messaging;version="2.0.0";uses:="c
 om.liferay.portal.kernel.json,com.liferay.portal.kernel.messaging",co
 m.liferay.portal.kernel.license.util;version="1.0.0";uses:="com.lifer
 ay.portal.kernel.json,com.liferay.portal.kernel.license",com.liferay.
 portal.kernel.lock;version="8.0.0";uses:="com.liferay.portal.kernel.e
 xception",com.liferay.portal.kernel.log;version="7.1.0",com.liferay.p
 ortal.kernel.login;version="1.0.0",com.liferay.portal.kernel.lpkg;ver
 sion="2.0.0",com.liferay.portal.kernel.management;version="8.0.0";use
 s:="com.liferay.portal.kernel.exception",com.liferay.portal.kernel.ma
 nagement.jmx;version="6.2.0";uses:="com.liferay.portal.kernel.jmx.mod
 el,com.liferay.portal.kernel.management,javax.management",com.liferay
 .portal.kernel.messaging;version="11.1.0";uses:="com.liferay.portal.k
 ernel.exception,com.liferay.portal.kernel.messaging.sender",com.lifer
 ay.portal.kernel.messaging.async;version="6.2.0",com.liferay.portal.k
 ernel.messaging.config;version="10.0.0";uses:="com.liferay.portal.ker
 nel.messaging",com.liferay.portal.kernel.messaging.proxy;version="11.
 0.0";uses:="com.liferay.petra.lang,com.liferay.portal.kernel.messagin
 g,com.liferay.portal.kernel.messaging.sender,com.liferay.portal.kerne
 l.spring.aop",com.liferay.portal.kernel.messaging.sender;version="8.0
 .0";uses:="com.liferay.portal.kernel.messaging",com.liferay.portal.ke
 rnel.metadata;version="9.0.0";uses:="com.liferay.dynamic.data.mapping
 .kernel,com.liferay.portal.kernel.exception",com.liferay.portal.kerne
 l.microsofttranslator;version="7.0.0";uses:="com.liferay.portal.kerne
 l.exception",com.liferay.portal.kernel.mobile.device;version="9.0.0";
 uses:="javax.servlet.http",com.liferay.portal.kernel.model;version="2
 4.0.0";uses:="com.liferay.asset.kernel.model,com.liferay.expando.kern
 el.model,com.liferay.exportimport.kernel.lar,com.liferay.petra.sql.ds
 l,com.liferay.petra.sql.dsl.base,com.liferay.portal.kernel.annotation
 ,com.liferay.portal.kernel.application.type,com.liferay.portal.kernel
 .bean,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.j
 son,com.liferay.portal.kernel.model.change.tracking,com.liferay.porta
 l.kernel.model.portlet,com.liferay.portal.kernel.model.wrapper,com.li
 feray.portal.kernel.notifications,com.liferay.portal.kernel.plugin,co
 m.liferay.portal.kernel.poller,com.liferay.portal.kernel.pop,com.life
 ray.portal.kernel.portlet,com.liferay.portal.kernel.scheduler,com.lif
 eray.portal.kernel.search,com.liferay.portal.kernel.security.permissi
 on,com.liferay.portal.kernel.security.permission.propagator,com.lifer
 ay.portal.kernel.service,com.liferay.portal.kernel.servlet,com.lifera
 y.portal.kernel.template,com.liferay.portal.kernel.theme,com.liferay.
 portal.kernel.trash,com.liferay.portal.kernel.util,com.liferay.portal
 .kernel.webdav,com.liferay.portal.kernel.workflow,com.liferay.portal.
 kernel.xml,com.liferay.portal.kernel.xmlrpc,com.liferay.social.kernel
 .model,com.liferay.trash.kernel.model,javax.portlet,javax.servlet,jav
 ax.servlet.http",com.liferay.portal.kernel.model.adapter;version="5.0
 .0";uses:="com.liferay.portal.kernel.model",com.liferay.portal.kernel
 .model.adapter.builder;version="1.0.0",com.liferay.portal.kernel.mode
 l.cache;version="1.0.0",com.liferay.portal.kernel.model.change.tracki
 ng;version="3.0.0";uses:="com.liferay.portal.kernel.model",com.lifera
 y.portal.kernel.model.dao;version="2.5.0",com.liferay.portal.kernel.m
 odel.impl;version="7.0.0";uses:="com.liferay.expando.kernel.model,com
 .liferay.portal.kernel.exception,com.liferay.portal.kernel.model,com.
 liferay.portal.kernel.security.permission,com.liferay.portal.kernel.s
 ervice,javax.servlet.http",com.liferay.portal.kernel.model.portlet;ve
 rsion="2.0.0";uses:="com.liferay.petra.string,javax.portlet",com.life
 ray.portal.kernel.model.role;version="1.2.0",com.liferay.portal.kerne
 l.model.version;version="3.0.0",com.liferay.portal.kernel.model.wrapp
 er;version="3.0.0";uses:="com.liferay.expando.kernel.model,com.lifera
 y.portal.kernel.model,com.liferay.portal.kernel.service",com.liferay.
 portal.kernel.module.configuration;version="2.1.0";uses:="com.liferay
 .portal.kernel.exception,com.liferay.portal.kernel.model,com.liferay.
 portal.kernel.settings",com.liferay.portal.kernel.module.framework;ve
 rsion="1.4.0",com.liferay.portal.kernel.module.framework.service;vers
 ion="1.0.1";uses:="com.liferay.portal.kernel.transaction,com.liferay.
 portal.kernel.util",com.liferay.portal.kernel.monitoring;version="8.0
 .0";uses:="com.liferay.portal.kernel.exception,javax.portlet",com.lif
 eray.portal.kernel.notifications;version="9.0.0";uses:="com.liferay.a
 sset.kernel.model,com.liferay.portal.kernel.exception,com.liferay.por
 tal.kernel.json,com.liferay.portal.kernel.model,com.liferay.portal.ke
 rnel.service",com.liferay.portal.kernel.openid;version="1.0.0",com.li
 feray.portal.kernel.parsers.bbcode;version="7.0.0",com.liferay.portal
 .kernel.patcher;version="8.0.0",com.liferay.portal.kernel.plugin;vers
 ion="7.0.0";uses:="com.liferay.portal.kernel.util",com.liferay.portal
 .kernel.poller;version="7.0.1";uses:="com.liferay.portal.kernel.excep
 tion,com.liferay.portal.kernel.json,com.liferay.portal.kernel.messagi
 ng",com.liferay.portal.kernel.poller.comet;version="7.0.0";uses:="com
 .liferay.portal.kernel.exception,javax.servlet.http",com.liferay.port
 al.kernel.pop;version="7.0.0";uses:="com.liferay.portal.kernel.except
 ion,javax.mail",com.liferay.portal.kernel.portlet;version="20.0.0";us
 es:="com.liferay.asset.kernel.model,com.liferay.expando.kernel.model,
 com.liferay.exportimport.kernel.lar,com.liferay.osgi.service.tracker.
 collections.map,com.liferay.portal.kernel.exception,com.liferay.porta
 l.kernel.json,com.liferay.portal.kernel.model,com.liferay.portal.kern
 el.notifications,com.liferay.portal.kernel.poller,com.liferay.portal.
 kernel.pop,com.liferay.portal.kernel.scheduler.messaging,com.liferay.
 portal.kernel.search,com.liferay.portal.kernel.security.permission,co
 m.liferay.portal.kernel.security.permission.propagator,com.liferay.po
 rtal.kernel.servlet,com.liferay.portal.kernel.settings,com.liferay.po
 rtal.kernel.spring.osgi,com.liferay.portal.kernel.template,com.lifera
 y.portal.kernel.theme,com.liferay.portal.kernel.trash,com.liferay.por
 tal.kernel.util,com.liferay.portal.kernel.webdav,com.liferay.portal.k
 ernel.workflow,com.liferay.portal.kernel.xml,com.liferay.portal.kerne
 l.xmlrpc,com.liferay.social.kernel.model,javax.portlet,javax.portlet.
 annotations,javax.portlet.filter,javax.servlet,javax.servlet.http",co
 m.liferay.portal.kernel.portlet.async;version="1.0.1";uses:="javax.po
 rtlet",com.liferay.portal.kernel.portlet.bridges.mvc;version="6.0.0";
 uses:="com.liferay.portal.kernel.portlet,javax.portlet",com.liferay.p
 ortal.kernel.portlet.bridges.mvc.constants;version="1.0.0",com.lifera
 y.portal.kernel.portlet.configuration.icon;version="3.0.0";uses:="com
 .liferay.osgi.service.tracker.collections.map,com.liferay.portal.kern
 el.model,javax.portlet,javax.servlet,javax.servlet.http,org.osgi.fram
 ework",com.liferay.portal.kernel.portlet.configuration.icon.locator;v
 ersion="1.0.0";uses:="javax.portlet",com.liferay.portal.kernel.portle
 t.constants;version="1.4.0",com.liferay.portal.kernel.portlet.render;
 version="1.0.0";uses:="com.liferay.portal.kernel.model,javax.servlet.
 http",com.liferay.portal.kernel.portlet.toolbar;version="1.0.0";uses:
 ="com.liferay.portal.kernel.servlet.taglib.ui,javax.portlet",com.life
 ray.portal.kernel.portlet.toolbar.contributor;version="1.1.0";uses:="
 com.liferay.portal.kernel.servlet.taglib.ui,javax.portlet",com.lifera
 y.portal.kernel.portlet.toolbar.contributor.locator;version="1.0.0";u
 ses:="com.liferay.portal.kernel.portlet.toolbar.contributor,javax.por
 tlet",com.liferay.portal.kernel.portlet.url.builder;version="1.1.0";u
 ses:="com.liferay.portal.kernel.portlet,javax.portlet,javax.portlet.a
 nnotations",com.liferay.portal.kernel.portletdisplaytemplate;version=
 "6.4.1";uses:="com.liferay.dynamic.data.mapping.kernel,com.liferay.po
 rtal.kernel.template,javax.servlet.http",com.liferay.portal.kernel.po
 rtletfilerepository;version="4.0.0";uses:="com.liferay.portal.kernel.
 exception,com.liferay.portal.kernel.model,com.liferay.portal.kernel.r
 epository.model,com.liferay.portal.kernel.search,com.liferay.portal.k
 ernel.service,com.liferay.portal.kernel.theme,com.liferay.portal.kern
 el.util",com.liferay.portal.kernel.process;version="8.0.0";uses:="com
 .liferay.portal.kernel.concurrent,com.liferay.portal.kernel.io",com.l
 iferay.portal.kernel.process.local;version="2.0.0";uses:="com.liferay
 .portal.kernel.concurrent,com.liferay.portal.kernel.process",com.life
 ray.portal.kernel.redirect;version="1.0.0",com.liferay.portal.kernel.
 regex;version="1.0.0",com.liferay.portal.kernel.repository;version="1
 2.1.0";uses:="com.liferay.asset.kernel.service,com.liferay.document.l
 ibrary.kernel.model,com.liferay.document.library.kernel.service,com.l
 iferay.portal.kernel.exception,com.liferay.portal.kernel.lock,com.lif
 eray.portal.kernel.model,com.liferay.portal.kernel.repository.capabil
 ities,com.liferay.portal.kernel.repository.model,com.liferay.portal.k
 ernel.resource.bundle,com.liferay.portal.kernel.search,com.liferay.po
 rtal.kernel.service,com.liferay.portal.kernel.util",com.liferay.porta
 l.kernel.repository.capabilities;version="2.0.0";uses:="com.liferay.p
 ortal.kernel.exception,com.liferay.portal.kernel.repository,com.lifer
 ay.portal.kernel.repository.event,com.liferay.portal.kernel.repositor
 y.model,com.liferay.portal.kernel.service,com.liferay.portal.kernel.u
 til",com.liferay.portal.kernel.repository.event;version="1.1.0";uses:
 ="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.repos
 itory.model,com.liferay.portal.kernel.repository.registry",com.lifera
 y.portal.kernel.repository.friendly.url.resolver;version="1.0.0";uses
 :="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.repo
 sitory.model",com.liferay.portal.kernel.repository.http.header.custom
 izer;version="1.0.0";uses:="com.liferay.portal.kernel.repository.mode
 l",com.liferay.portal.kernel.repository.model;version="11.1.0";uses:=
 "com.liferay.expando.kernel.model,com.liferay.exportimport.kernel.lar
 ,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.json,c
 om.liferay.portal.kernel.lock,com.liferay.portal.kernel.model,com.lif
 eray.portal.kernel.repository.capabilities,com.liferay.portal.kernel.
 security.permission,com.liferay.portal.kernel.util",com.liferay.porta
 l.kernel.repository.proxy;version="6.2.0";uses:="com.liferay.asset.ke
 rnel.service,com.liferay.document.library.kernel.model,com.liferay.do
 cument.library.kernel.service,com.liferay.expando.kernel.model,com.li
 feray.exportimport.kernel.lar,com.liferay.portal.kernel.exception,com
 .liferay.portal.kernel.lock,com.liferay.portal.kernel.repository,com.
 liferay.portal.kernel.repository.capabilities,com.liferay.portal.kern
 el.repository.model,com.liferay.portal.kernel.search,com.liferay.port
 al.kernel.security.permission,com.liferay.portal.kernel.service,com.l
 iferay.portal.kernel.util",com.liferay.portal.kernel.repository.regis
 try;version="1.1.0";uses:="com.liferay.portal.kernel.repository,com.l
 iferay.portal.kernel.repository.capabilities,com.liferay.portal.kerne
 l.repository.event",com.liferay.portal.kernel.repository.search;versi
 on="7.0.0";uses:="com.liferay.portal.kernel.search",com.liferay.porta
 l.kernel.repository.util;version="3.1.0";uses:="com.liferay.portal.ke
 rnel.repository.model",com.liferay.portal.kernel.resource;version="6.
 3.0",com.liferay.portal.kernel.resource.bundle;version="1.0.0",com.li
 feray.portal.kernel.resource.manager;version="1.0.0";uses:="com.lifer
 ay.portal.kernel.resource",com.liferay.portal.kernel.sanitizer;versio
 n="8.0.0";uses:="com.liferay.portal.kernel.exception",com.liferay.por
 tal.kernel.scheduler;version="10.2.0";uses:="com.liferay.portal.kerne
 l.exception,com.liferay.portal.kernel.messaging,com.liferay.portal.ke
 rnel.messaging.proxy,com.liferay.portal.kernel.scheduler.messaging,co
 m.liferay.portal.kernel.util,javax.portlet",com.liferay.portal.kernel
 .scheduler.config;version="7.0.0";uses:="com.liferay.portal.kernel.sc
 heduler",com.liferay.portal.kernel.scheduler.messaging;version="8.0.0
 ";uses:="com.liferay.portal.kernel.messaging,com.liferay.portal.kerne
 l.scheduler",com.liferay.portal.kernel.scripting;version="9.0.0";uses
 :="com.liferay.portal.kernel.exception,javax.portlet",com.liferay.por
 tal.kernel.search;version="17.0.0";uses:="com.liferay.asset.kernel.mo
 del,com.liferay.expando.kernel.model,com.liferay.petra.function,com.l
 iferay.petra.string,com.liferay.portal.kernel.backgroundtask,com.life
 ray.portal.kernel.comment,com.liferay.portal.kernel.exception,com.lif
 eray.portal.kernel.json,com.liferay.portal.kernel.messaging.proxy,com
 .liferay.portal.kernel.model,com.liferay.portal.kernel.portlet,com.li
 feray.portal.kernel.repository.model,com.liferay.portal.kernel.search
 .facet,com.liferay.portal.kernel.search.filter,com.liferay.portal.ker
 nel.search.geolocation,com.liferay.portal.kernel.search.query,com.lif
 eray.portal.kernel.search.suggest,com.liferay.portal.kernel.security.
 permission,com.liferay.portal.kernel.theme,com.liferay.portal.kernel.
 xml,javax.portlet,javax.servlet.http",com.liferay.portal.kernel.searc
 h.analysis;version="2.0.0";uses:="com.liferay.portal.kernel.search",c
 om.liferay.portal.kernel.search.background.task;version="2.0.0",com.l
 iferay.portal.kernel.search.dummy;version="4.0.0";uses:="com.liferay.
 portal.kernel.search,com.liferay.portal.kernel.search.filter,com.life
 ray.portal.kernel.search.suggest,com.liferay.portal.kernel.security.p
 ermission,javax.portlet",com.liferay.portal.kernel.search.facet;versi
 on="8.0.0";uses:="com.liferay.portal.kernel.json,com.liferay.portal.k
 ernel.search,com.liferay.portal.kernel.search.facet.collector,com.lif
 eray.portal.kernel.search.facet.config,com.liferay.portal.kernel.sear
 ch.facet.util,com.liferay.portal.kernel.search.filter",com.liferay.po
 rtal.kernel.search.facet.collector;version="6.3.0",com.liferay.portal
 .kernel.search.facet.config;version="8.0.0";uses:="com.liferay.portal
 .kernel.json",com.liferay.portal.kernel.search.facet.faceted.searcher
 ;version="2.0.0";uses:="com.liferay.portal.kernel.search",com.liferay
 .portal.kernel.search.facet.util;version="7.0.0";uses:="com.liferay.p
 ortal.kernel.search,com.liferay.portal.kernel.search.facet",com.lifer
 ay.portal.kernel.search.filter;version="1.0.0";uses:="com.liferay.por
 tal.kernel.search,com.liferay.portal.kernel.search.geolocation",com.l
 iferay.portal.kernel.search.generic;version="3.0.0";uses:="com.lifera
 y.portal.kernel.search,com.liferay.portal.kernel.search.filter,com.li
 feray.portal.kernel.search.query",com.liferay.portal.kernel.search.ge
 olocation;version="1.0.0",com.liferay.portal.kernel.search.highlight;
 version="1.0.0";uses:="com.liferay.portal.kernel.search",com.liferay.
 portal.kernel.search.hits;version="2.0.0";uses:="com.liferay.portal.k
 ernel.search",com.liferay.portal.kernel.search.messaging;version="8.0
 .0";uses:="com.liferay.portal.kernel.messaging.proxy,com.liferay.port
 al.kernel.search",com.liferay.portal.kernel.search.query;version="1.0
 .0";uses:="com.liferay.portal.kernel.search,com.liferay.portal.kernel
 .search.generic",com.liferay.portal.kernel.search.reindexer;version="
 1.0.0",com.liferay.portal.kernel.search.result;version="1.0.0";uses:=
 "com.liferay.portal.kernel.exception,com.liferay.portal.kernel.search
 ,javax.portlet",com.liferay.portal.kernel.search.suggest;version="3.1
 .0";uses:="com.liferay.portal.kernel.messaging.proxy,com.liferay.port
 al.kernel.search",com.liferay.portal.kernel.security;version="6.2.0",
 com.liferay.portal.kernel.security.access.control;version="2.0.0";use
 s:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.sec
 urity.auth,com.liferay.portal.kernel.security.auth.verifier,javax.ser
 vlet.http",com.liferay.portal.kernel.security.auth;version="5.1.0";us
 es:="com.liferay.petra.lang,com.liferay.portal.kernel.exception,com.l
 iferay.portal.kernel.model,com.liferay.portal.kernel.portlet,com.life
 ray.portal.kernel.security.auth.verifier,com.liferay.portal.kernel.se
 curity.permission,javax.servlet.http,org.osgi.framework,org.osgi.util
 .tracker",com.liferay.portal.kernel.security.auth.http;version="1.1.0
 ";uses:="com.liferay.portal.kernel.exception,javax.servlet.http",com.
 liferay.portal.kernel.security.auth.session;version="1.0.0";uses:="co
 m.liferay.portal.kernel.exception,javax.servlet.http",com.liferay.por
 tal.kernel.security.auth.tunnel;version="1.0.0";uses:="com.liferay.po
 rtal.kernel.security.auth,javax.servlet.http",com.liferay.portal.kern
 el.security.auth.verifier;version="2.0.0";uses:="com.liferay.portal.k
 ernel.security.auth",com.liferay.portal.kernel.security.auto.login;ve
 rsion="2.0.0";uses:="com.liferay.portal.kernel.exception,javax.servle
 t.http",com.liferay.portal.kernel.security.exportimport;version="1.0.
 0",com.liferay.portal.kernel.security.jaas;version="7.0.0";uses:="jav
 ax.security.auth,javax.security.auth.callback,javax.security.auth.log
 in,javax.security.auth.spi",com.liferay.portal.kernel.security.ldap;v
 ersion="2.0.0";uses:="javax.naming.directory",com.liferay.portal.kern
 el.security.membershippolicy;version="1.0.0";uses:="com.liferay.asset
 .kernel.model,com.liferay.portal.kernel.exception,com.liferay.portal.
 kernel.model,com.liferay.portal.kernel.security.permission,com.lifera
 y.portal.kernel.util",com.liferay.portal.kernel.security.permission;v
 ersion="6.2.0";uses:="com.liferay.petra.sql.dsl,com.liferay.petra.sql
 .dsl.expression,com.liferay.petra.sql.dsl.query,com.liferay.portal.ke
 rnel.exception,com.liferay.portal.kernel.model,com.liferay.portal.ker
 nel.security.permission.contributor,com.liferay.portal.kernel.securit
 y.permission.propagator,com.liferay.portal.kernel.xml,javax.servlet.h
 ttp",com.liferay.portal.kernel.security.permission.comparator;version
 ="1.0.0",com.liferay.portal.kernel.security.permission.contributor;ve
 rsion="1.0.0";uses:="com.liferay.portal.kernel.model,com.liferay.port
 al.kernel.security.permission",com.liferay.portal.kernel.security.per
 mission.propagator;version="1.0.0";uses:="com.liferay.portal.kernel.e
 xception,javax.portlet",com.liferay.portal.kernel.security.permission
 .resource;version="2.1.0";uses:="com.liferay.exportimport.kernel.stag
 ing.permission,com.liferay.petra.function,com.liferay.portal.kernel.e
 xception,com.liferay.portal.kernel.model,com.liferay.portal.kernel.se
 curity.auth,com.liferay.portal.kernel.security.permission,com.liferay
 .portal.kernel.service,com.liferay.portal.kernel.workflow.permission"
 ,com.liferay.portal.kernel.security.permission.resource.definition;ve
 rsion="1.0.1";uses:="com.liferay.portal.kernel.exception,com.liferay.
 portal.kernel.model,com.liferay.portal.kernel.security.permission.res
 ource",com.liferay.portal.kernel.security.permission.wrapper;version=
 "1.0.0";uses:="com.liferay.portal.kernel.model,com.liferay.portal.ker
 nel.security.permission,com.liferay.portal.kernel.security.permission
 .contributor",com.liferay.portal.kernel.security.pwd;version="3.0.0";
 uses:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.
 model",com.liferay.portal.kernel.security.service.access.policy;versi
 on="1.1.0",com.liferay.portal.kernel.security.sso;version="1.0.0";use
 s:="javax.servlet.http",com.liferay.portal.kernel.security.xml;versio
 n="2.0.0";uses:="javax.xml.parsers,javax.xml.stream,javax.xml.transfo
 rm,org.xml.sax",com.liferay.portal.kernel.service;version="17.0.0";us
 es:="com.liferay.announcements.kernel.model,com.liferay.expando.kerne
 l.model,com.liferay.exportimport.kernel.lar,com.liferay.petra.functio
 n,com.liferay.petra.sql.dsl.query,com.liferay.portal.kernel.cache.thr
 ead.local,com.liferay.portal.kernel.change.tracking,com.liferay.porta
 l.kernel.cluster,com.liferay.portal.kernel.dao.orm,com.liferay.portal
 .kernel.exception,com.liferay.portal.kernel.json,com.liferay.portal.k
 ernel.jsonwebservice,com.liferay.portal.kernel.messaging.async,com.li
 feray.portal.kernel.model,com.liferay.portal.kernel.notifications,com
 .liferay.portal.kernel.plugin,com.liferay.portal.kernel.portlet,com.l
 iferay.portal.kernel.repository.model,com.liferay.portal.kernel.searc
 h,com.liferay.portal.kernel.security.access.control,com.liferay.porta
 l.kernel.security.auth,com.liferay.portal.kernel.security.permission,
 com.liferay.portal.kernel.service.change.tracking,com.liferay.portal.
 kernel.service.configuration,com.liferay.portal.kernel.service.permis
 sion,com.liferay.portal.kernel.service.persistence,com.liferay.portal
 .kernel.service.persistence.change.tracking,com.liferay.portal.kernel
 .settings,com.liferay.portal.kernel.spring.aop,com.liferay.portal.ker
 nel.systemevent,com.liferay.portal.kernel.theme,com.liferay.portal.ke
 rnel.transaction,com.liferay.portal.kernel.upgrade,com.liferay.portal
 .kernel.upload,com.liferay.portal.kernel.util,com.liferay.portal.kern
 el.xml,javax.portlet,javax.servlet,javax.servlet.http",com.liferay.po
 rtal.kernel.service.change.tracking;version="1.0.0";uses:="com.lifera
 y.petra.function,com.liferay.portal.kernel.model.change.tracking,com.
 liferay.portal.kernel.service.persistence.change.tracking,com.liferay
 .portal.kernel.transaction",com.liferay.portal.kernel.service.configu
 ration;version="1.1.1",com.liferay.portal.kernel.service.configuratio
 n.servlet;version="1.1.0";uses:="com.liferay.portal.kernel.service.co
 nfiguration,javax.servlet",com.liferay.portal.kernel.service.http;ver
 sion="1.0.0";uses:="com.liferay.portal.kernel.security.auth,com.lifer
 ay.portal.kernel.util",com.liferay.portal.kernel.service.permission;v
 ersion="5.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay
 .portal.kernel.model,com.liferay.portal.kernel.security.auth,com.life
 ray.portal.kernel.security.permission,javax.portlet,javax.servlet.htt
 p",com.liferay.portal.kernel.service.persistence;version="16.0.0";use
 s:="com.liferay.petra.sql.dsl.query,com.liferay.portal.kernel.dao.db,
 com.liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.exception
 ,com.liferay.portal.kernel.model,com.liferay.portal.kernel.service,co
 m.liferay.portal.kernel.service.persistence.change.tracking,com.lifer
 ay.portal.kernel.util,javax.sql",com.liferay.portal.kernel.service.pe
 rsistence.change.tracking;version="1.4.0";uses:="com.liferay.portal.k
 ernel.change.tracking,com.liferay.portal.kernel.model.change.tracking
 ,com.liferay.portal.kernel.service.persistence",com.liferay.portal.ke
 rnel.service.persistence.change.tracking.helper;version="1.1.0";uses:
 ="com.liferay.portal.kernel.model.change.tracking",com.liferay.portal
 .kernel.service.persistence.impl;version="4.1.0";uses:="com.liferay.p
 etra.sql.dsl,com.liferay.petra.sql.dsl.query,com.liferay.petra.string
 ,com.liferay.portal.kernel.configuration,com.liferay.portal.kernel.da
 o.db,com.liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.exce
 ption,com.liferay.portal.kernel.model,com.liferay.portal.kernel.servi
 ce,com.liferay.portal.kernel.service.persistence,com.liferay.portal.k
 ernel.util,javax.sql",com.liferay.portal.kernel.service.version;versi
 on="1.1.0";uses:="com.liferay.portal.kernel.exception,com.liferay.por
 tal.kernel.model.version",com.liferay.portal.kernel.servlet;version="
 11.1.0";uses:="com.liferay.petra.string,com.liferay.portal.kernel.log
 ,com.liferay.portal.kernel.util,javax.portlet,javax.servlet,javax.ser
 vlet.http",com.liferay.portal.kernel.servlet.filters.compoundsessioni
 d;version="7.0.0";uses:="com.liferay.portal.kernel.servlet,javax.serv
 let.http",com.liferay.portal.kernel.servlet.filters.invoker;version="
 10.0.0";uses:="com.liferay.portal.kernel.util,javax.servlet,javax.ser
 vlet.http",com.liferay.portal.kernel.servlet.taglib;version="9.0.0";u
 ses:="com.liferay.petra.string,com.liferay.portal.kernel.log,javax.se
 rvlet,javax.servlet.http",com.liferay.portal.kernel.servlet.taglib.au
 i;version="10.1.0";uses:="com.liferay.petra.string,com.liferay.portal
 .kernel.util",com.liferay.portal.kernel.servlet.taglib.ui;version="8.
 0.0";uses:="com.liferay.petra.string,com.liferay.portal.kernel.except
 ion,com.liferay.portal.kernel.model,com.liferay.portal.kernel.util,ja
 vax.servlet,javax.servlet.http",com.liferay.portal.kernel.servlet.tag
 lib.util;version="7.0.0";uses:="com.liferay.petra.string,com.liferay.
 portal.kernel.util",com.liferay.portal.kernel.settings;version="3.2.0
 ";uses:="com.liferay.portal.kernel.exception,com.liferay.portal.kerne
 l.model,com.liferay.portal.kernel.resource.manager,javax.portlet",com
 .liferay.portal.kernel.settings.definition;version="1.0.0",com.lifera
 y.portal.kernel.social;version="2.0.0";uses:="com.liferay.portal.kern
 el.exception,com.liferay.portal.kernel.model,com.liferay.social.kerne
 l.service",com.liferay.portal.kernel.spring.aop;version="7.0.0";uses:
 ="com.liferay.portal.kernel.service",com.liferay.portal.kernel.spring
 .orm;version="1.0.0",com.liferay.portal.kernel.spring.osgi;version="2
 .0.0",com.liferay.portal.kernel.spring.util;version="7.0.0",com.lifer
 ay.portal.kernel.struts;version="8.0.0";uses:="javax.servlet.http",co
 m.liferay.portal.kernel.systemevent;version="6.2.0",com.liferay.porta
 l.kernel.template;version="14.0.0";uses:="com.liferay.dynamic.data.ma
 pping.kernel,com.liferay.portal.kernel.exception,com.liferay.portal.k
 ernel.xml,javax.servlet.http",com.liferay.portal.kernel.template.comp
 arator;version="6.2.0";uses:="com.liferay.portal.kernel.template",com
 .liferay.portal.kernel.templateparser;version="8.0.0";uses:="com.life
 ray.portal.kernel.exception,com.liferay.portal.kernel.theme,com.lifer
 ay.portal.kernel.xml",com.liferay.portal.kernel.terms.of.use;version=
 "1.0.1";uses:="javax.servlet.http",com.liferay.portal.kernel.theme;ve
 rsion="10.1.0";uses:="com.liferay.petra.string,com.liferay.portal.ker
 nel.exception,com.liferay.portal.kernel.json,com.liferay.portal.kerne
 l.mobile.device,com.liferay.portal.kernel.model,com.liferay.portal.ke
 rnel.module.configuration,com.liferay.portal.kernel.portlet.configura
 tion.icon,com.liferay.portal.kernel.portlet.toolbar,com.liferay.porta
 l.kernel.security.permission,com.liferay.portal.kernel.util,javax.por
 tlet,javax.servlet,javax.servlet.http",com.liferay.portal.kernel.tran
 saction;version="8.1.0",com.liferay.portal.kernel.trash;version="12.0
 .0";uses:="com.liferay.asset.kernel.model,com.liferay.portal.kernel.e
 xception,com.liferay.portal.kernel.model,com.liferay.portal.kernel.se
 arch,com.liferay.portal.kernel.search.filter,com.liferay.portal.kerne
 l.security.permission,com.liferay.portal.kernel.service,com.liferay.p
 ortal.kernel.util,com.liferay.trash.kernel.model,javax.portlet",com.l
 iferay.portal.kernel.trash.helper;version="1.0.0";uses:="com.liferay.
 portal.kernel.exception,javax.portlet,javax.servlet.http",com.liferay
 .portal.kernel.tree;version="2.1.1";uses:="com.liferay.portal.kernel.
 exception,com.liferay.portal.kernel.model",com.liferay.portal.kernel.
 upgrade;version="18.1.0";uses:="com.liferay.petra.lang,com.liferay.po
 rtal.kernel.dao.db,com.liferay.portal.kernel.exception,com.liferay.po
 rtal.kernel.resource.bundle,com.liferay.portal.kernel.service,com.lif
 eray.portal.kernel.util,com.liferay.portal.kernel.xml,javax.portlet",
 com.liferay.portal.kernel.upgrade.util;version="10.2.0";uses:="com.li
 feray.portal.kernel.model,com.liferay.portal.kernel.upgrade,com.lifer
 ay.portal.kernel.version",com.liferay.portal.kernel.upload;version="9
 .0.0";uses:="com.liferay.portal.kernel.exception,javax.portlet,javax.
 servlet.http",com.liferay.portal.kernel.url;version="1.1.0";uses:="ja
 vax.servlet",com.liferay.portal.kernel.url.validator;version="1.0.0",
 com.liferay.portal.kernel.util;version="45.0.0";uses:="com.liferay.ex
 pando.kernel.model,com.liferay.mail.kernel.model,com.liferay.petra.pr
 ocess,com.liferay.petra.sql.dsl.query.sort,com.liferay.petra.string,c
 om.liferay.portal.kernel.configuration,com.liferay.portal.kernel.dao.
 jdbc.aop,com.liferay.portal.kernel.exception,com.liferay.portal.kerne
 l.group.capability,com.liferay.portal.kernel.io,com.liferay.portal.ke
 rnel.io.unsync,com.liferay.portal.kernel.json,com.liferay.portal.kern
 el.model,com.liferay.portal.kernel.portlet,com.liferay.portal.kernel.
 repository.model,com.liferay.portal.kernel.resource.bundle,com.lifera
 y.portal.kernel.security.permission,com.liferay.portal.kernel.service
 ,com.liferay.portal.kernel.settings,com.liferay.portal.kernel.spring.
 osgi,com.liferay.portal.kernel.theme,com.liferay.portal.kernel.upload
 ,com.liferay.portal.kernel.xml,javax.mail,javax.mail.internet,javax.p
 ortlet,javax.servlet,javax.servlet.http,javax.sql",com.liferay.portal
 .kernel.util.comparator;version="3.1.0";uses:="com.liferay.portal.ker
 nel.model,com.liferay.portal.kernel.portlet.configuration.icon,com.li
 feray.portal.kernel.util,javax.servlet",com.liferay.portal.kernel.uui
 d;version="6.2.0",com.liferay.portal.kernel.verify.model;version="2.1
 .0",com.liferay.portal.kernel.version;version="1.1.0",com.liferay.por
 tal.kernel.view.count;version="1.2.0";uses:="com.liferay.petra.sql.ds
 l,com.liferay.portal.kernel.exception",com.liferay.portal.kernel.webc
 ache;version="6.2.0";uses:="com.liferay.portal.kernel.exception",com.
 liferay.portal.kernel.webdav;version="10.0.0";uses:="com.liferay.port
 al.kernel.exception,com.liferay.portal.kernel.lock,com.liferay.portal
 .kernel.model,com.liferay.portal.kernel.security.permission,com.lifer
 ay.portal.kernel.webdav.methods,com.liferay.portal.kernel.xml,javax.s
 ervlet.http",com.liferay.portal.kernel.webdav.methods;version="6.2.0"
 ;uses:="com.liferay.portal.kernel.webdav,javax.servlet.http",com.life
 ray.portal.kernel.webserver;version="1.0.0",com.liferay.portal.kernel
 .words;version="2.0.0";uses:="com.liferay.portal.kernel.jazzy",com.li
 feray.portal.kernel.workflow;version="17.2.0";uses:="com.liferay.asse
 t.kernel.model,com.liferay.portal.kernel.exception,com.liferay.portal
 .kernel.messaging.proxy,com.liferay.portal.kernel.model,com.liferay.p
 ortal.kernel.portlet,com.liferay.portal.kernel.service,com.liferay.po
 rtal.kernel.util,com.liferay.portal.kernel.workflow.search,javax.port
 let,javax.servlet.http",com.liferay.portal.kernel.workflow.comparator
 ;version="7.4.0";uses:="com.liferay.portal.kernel.messaging.proxy,com
 .liferay.portal.kernel.util,com.liferay.portal.kernel.workflow",com.l
 iferay.portal.kernel.workflow.messaging;version="7.1.0";uses:="com.li
 feray.portal.kernel.messaging",com.liferay.portal.kernel.workflow.per
 mission;version="7.0.0";uses:="com.liferay.portal.kernel.security.per
 mission",com.liferay.portal.kernel.workflow.search;version="1.0.0";us
 es:="com.liferay.portal.kernel.workflow",com.liferay.portal.kernel.xm
 l;version="7.0.2";uses:="org.xml.sax",com.liferay.portal.kernel.xml.s
 imple;version="6.2.0",com.liferay.portal.kernel.xmlrpc;version="6.2.0
 ";uses:="com.liferay.portal.kernel.exception",com.liferay.portal.kern
 el.zip;version="6.4.2",com.liferay.portlet.configuration.kernel.util;
 version="1.0.0";uses:="javax.portlet",com.liferay.ratings.kernel;vers
 ion="1.2.0",com.liferay.ratings.kernel.definition;version="1.1.0";use
 s:="com.liferay.portal.kernel.exception,com.liferay.ratings.kernel",c
 om.liferay.ratings.kernel.display.context;version="1.0.0";uses:="com.
 liferay.portal.kernel.util,com.liferay.ratings.kernel,javax.portlet,j
 avax.servlet.http",com.liferay.ratings.kernel.exception;version="1.0.
 0";uses:="com.liferay.portal.kernel.exception",com.liferay.ratings.ke
 rnel.model;version="4.0.0";uses:="com.liferay.exportimport.kernel.lar
 ,com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.base,com.liferay
 .portal.kernel.annotation,com.liferay.portal.kernel.bean,com.liferay.
 portal.kernel.model,com.liferay.portal.kernel.model.change.tracking,c
 om.liferay.portal.kernel.model.wrapper,com.liferay.portal.kernel.util
 ",com.liferay.ratings.kernel.service;version="2.6.0";uses:="com.lifer
 ay.exportimport.kernel.lar,com.liferay.petra.function,com.liferay.pet
 ra.sql.dsl.query,com.liferay.portal.kernel.change.tracking,com.lifera
 y.portal.kernel.dao.orm,com.liferay.portal.kernel.exception,com.lifer
 ay.portal.kernel.jsonwebservice,com.liferay.portal.kernel.model,com.l
 iferay.portal.kernel.search,com.liferay.portal.kernel.security.access
 .control,com.liferay.portal.kernel.service,com.liferay.portal.kernel.
 service.change.tracking,com.liferay.portal.kernel.service.persistence
 .change.tracking,com.liferay.portal.kernel.systemevent,com.liferay.po
 rtal.kernel.transaction,com.liferay.portal.kernel.util,com.liferay.ra
 tings.kernel.model",com.liferay.ratings.kernel.service.persistence;ve
 rsion="4.2.0";uses:="com.liferay.portal.kernel.dao.orm,com.liferay.po
 rtal.kernel.service,com.liferay.portal.kernel.service.persistence,com
 .liferay.portal.kernel.service.persistence.change.tracking,com.lifera
 y.portal.kernel.util,com.liferay.ratings.kernel.exception,com.liferay
 .ratings.kernel.model",com.liferay.ratings.kernel.transformer;version
 ="1.0.0";uses:="com.liferay.portal.kernel.dao.orm,com.liferay.portal.
 kernel.exception,com.liferay.portal.kernel.util,com.liferay.ratings.k
 ernel,com.liferay.ratings.kernel.model,javax.portlet",com.liferay.rol
 es.admin.kernel.util;version="2.0.0";uses:="com.liferay.portal.kernel
 .model",com.liferay.sites.kernel.util;version="1.4.0";uses:="com.life
 ray.portal.kernel.exception,com.liferay.portal.kernel.model,com.lifer
 ay.portal.kernel.security.permission,com.liferay.portal.kernel.servic
 e,javax.portlet,javax.servlet.http",com.liferay.social.kernel.excepti
 on;version="1.0.0";uses:="com.liferay.portal.kernel.exception",com.li
 feray.social.kernel.model;version="6.0.0";uses:="com.liferay.asset.ke
 rnel.model,com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.base,c
 om.liferay.portal.kernel.annotation,com.liferay.portal.kernel.bean,co
 m.liferay.portal.kernel.exception,com.liferay.portal.kernel.json,com.
 liferay.portal.kernel.model,com.liferay.portal.kernel.model.change.tr
 acking,com.liferay.portal.kernel.model.wrapper,com.liferay.portal.ker
 nel.resource.bundle,com.liferay.portal.kernel.security.permission,com
 .liferay.portal.kernel.service,com.liferay.portal.kernel.theme,com.li
 feray.portal.kernel.util",com.liferay.social.kernel.model.impl;versio
 n="1.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.port
 al.kernel.security.permission,com.liferay.portal.kernel.service,com.l
 iferay.portal.kernel.theme,com.liferay.social.kernel.model",com.lifer
 ay.social.kernel.service;version="3.0.0";uses:="com.liferay.asset.ker
 nel.model,com.liferay.petra.function,com.liferay.petra.sql.dsl.query,
 com.liferay.portal.kernel.change.tracking,com.liferay.portal.kernel.d
 ao.orm,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.
 json,com.liferay.portal.kernel.jsonwebservice,com.liferay.portal.kern
 el.messaging.async,com.liferay.portal.kernel.model,com.liferay.portal
 .kernel.search,com.liferay.portal.kernel.security.access.control,com.
 liferay.portal.kernel.service,com.liferay.portal.kernel.service.chang
 e.tracking,com.liferay.portal.kernel.service.persistence.change.track
 ing,com.liferay.portal.kernel.theme,com.liferay.portal.kernel.transac
 tion,com.liferay.portal.kernel.util,com.liferay.social.kernel.model",
 com.liferay.social.kernel.service.permission;version="1.0.0";uses:="c
 om.liferay.portal.kernel.exception,com.liferay.portal.kernel.security
 .permission",com.liferay.social.kernel.service.persistence;version="4
 .2.0";uses:="com.liferay.portal.kernel.dao.orm,com.liferay.portal.ker
 nel.service,com.liferay.portal.kernel.service.persistence,com.liferay
 .portal.kernel.service.persistence.change.tracking,com.liferay.portal
 .kernel.util,com.liferay.social.kernel.exception,com.liferay.social.k
 ernel.model",com.liferay.social.kernel.util;version="1.0.0";uses:="co
 m.liferay.portal.kernel.service,com.liferay.social.kernel.model,javax
 .servlet.http",com.liferay.social.kernel.util.comparator;version="1.1
 .0";uses:="com.liferay.portal.kernel.util,com.liferay.social.kernel.m
 odel",com.liferay.trash.kernel.exception;version="1.1.0";uses:="com.l
 iferay.portal.kernel.exception",com.liferay.trash.kernel.model;versio
 n="5.0.0";uses:="com.liferay.expando.kernel.model,com.liferay.portal.
 kernel.annotation,com.liferay.portal.kernel.bean,com.liferay.portal.k
 ernel.model,com.liferay.portal.kernel.service,com.liferay.portal.kern
 el.util",com.liferay.trash.kernel.service;version="1.5.0";uses:="com.
 liferay.petra.sql.dsl.query,com.liferay.portal.kernel.change.tracking
 ,com.liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.exceptio
 n,com.liferay.portal.kernel.jsonwebservice,com.liferay.portal.kernel.
 model,com.liferay.portal.kernel.search,com.liferay.portal.kernel.secu
 rity.access.control,com.liferay.portal.kernel.security.auth,com.lifer
 ay.portal.kernel.service,com.liferay.portal.kernel.transaction,com.li
 feray.portal.kernel.util,com.liferay.trash.kernel.model",com.liferay.
 trash.kernel.service.persistence;version="1.4.0";uses:="com.liferay.p
 ortal.kernel.dao.orm,com.liferay.portal.kernel.service,com.liferay.po
 rtal.kernel.service.persistence,com.liferay.portal.kernel.util,com.li
 feray.trash.kernel.exception,com.liferay.trash.kernel.model",com.life
 ray.users.admin.kernel.file.uploads;version="2.0.0",com.liferay.users
 .admin.kernel.organization.types;version="1.0.1",com.liferay.users.ad
 min.kernel.util;version="2.0.0";uses:="com.liferay.portal.kernel.exce
 ption,com.liferay.portal.kernel.model,com.liferay.portal.kernel.searc
 h,com.liferay.portal.kernel.security.permission,com.liferay.portal.ke
 rnel.util,javax.portlet,javax.servlet.http"
Git-Descriptor: d77c60e716018-dirty
Git-SHA: d77c60e716018df407767e83c10337b2ebf9e216
Import-Package: com.liferay.announcements.kernel.exception;version="[1
 .0,2)",com.liferay.announcements.kernel.model;version="[4.0,4.1)",com
 .liferay.asset.kernel.exception;version="[2.3,3)",com.liferay.asset.k
 ernel.model;version="[9.0,9.1)",com.liferay.asset.kernel.service;vers
 ion="[7.3,7.4)",com.liferay.asset.kernel.service.persistence;version=
 "[9.0,10)",com.liferay.counter.kernel.service;version="[2.1,2.2)",com
 .liferay.document.library.kernel.exception;version="[3.5,4)",com.life
 ray.document.library.kernel.model;version="[7.0,7.1)",com.liferay.doc
 ument.library.kernel.service;version="[7.2,7.3)",com.liferay.document
 .library.kernel.store;version="[3.1,4)",com.liferay.document.library.
 kernel.util;version="[7.1,8)",com.liferay.dynamic.data.mapping.kernel
 ;version="[3.0,4)",com.liferay.expando.kernel.exception;version="[2.0
 ,3)",com.liferay.expando.kernel.model;version="[5.0,5.1)",com.liferay
 .expando.kernel.util;version="[4.0,5)",com.liferay.exportimport.kerne
 l.exception;version="[2.0,3)",com.liferay.exportimport.kernel.model;v
 ersion="[5.0,5.1)",com.liferay.exportimport.kernel.service;version="[
 2.7,2.8)",com.liferay.exportimport.kernel.staging;version="[2.2,3)",c
 om.liferay.exportimport.kernel.staging.permission;version="[1.0,2)",c
 om.liferay.layout.admin.kernel.model;version="[1.0,2)",com.liferay.ma
 il.kernel.model;version="[1.1,2)",com.liferay.mail.kernel.service;ver
 sion="[3.0,4)",com.liferay.mail.kernel.template;version="[2.0,3)",com
 .liferay.osgi.service.tracker.collections.list,com.liferay.osgi.servi
 ce.tracker.collections.map,com.liferay.petra.concurrent,com.liferay.p
 etra.executor,com.liferay.petra.function,com.liferay.petra.io.unsync,
 com.liferay.petra.lang,com.liferay.petra.memory,com.liferay.petra.nio
 ,com.liferay.petra.process,com.liferay.petra.reflect,com.liferay.petr
 a.sql.dsl,com.liferay.petra.sql.dsl.ast,com.liferay.petra.sql.dsl.bas
 e,com.liferay.petra.sql.dsl.expression,com.liferay.petra.sql.dsl.quer
 y,com.liferay.petra.sql.dsl.query.sort,com.liferay.petra.sql.dsl.spi.
 ast,com.liferay.petra.sql.dsl.spi.expression,com.liferay.petra.sql.ds
 l.spi.query,com.liferay.petra.string,com.liferay.portal.kernel.annota
 tion;version="[7.0,8)",com.liferay.portal.kernel.application.type;ver
 sion="[1.0,2)",com.liferay.portal.kernel.backgroundtask;version="[9.0
 ,10)",com.liferay.portal.kernel.backgroundtask.display;version="[2.0,
 2.1)",com.liferay.portal.kernel.bean;version="[10.0,11)",com.liferay.
 portal.kernel.cache.thread.local;version="[2.0,3)",com.liferay.portal
 .kernel.change.tracking;version="[2.2,3)",com.liferay.portal.kernel.c
 omment;version="[4.0,4.1)",com.liferay.portal.kernel.concurrent;versi
 on="[8.0,9)",com.liferay.portal.kernel.configuration;version="[7.0,8)
 ",com.liferay.portal.kernel.dao.db;version="[10.1,11)",com.liferay.po
 rtal.kernel.dao.jdbc.aop;version="[7.0,8)",com.liferay.portal.kernel.
 dao.orm;version="[12.0,12.1)",com.liferay.portal.kernel.dao.search;ve
 rsion="[9.0,10)",com.liferay.portal.kernel.deploy.auto.context;versio
 n="[7.0,8)",com.liferay.portal.kernel.deploy.hot;version="[7.1,8)",co
 m.liferay.portal.kernel.exception;version="[12.3,13)",com.liferay.por
 tal.kernel.frontend.esm;version="[1.0,2)",com.liferay.portal.kernel.i
 mage;version="[9.0,10)",com.liferay.portal.kernel.increment;version="
 [7.1,8)",com.liferay.portal.kernel.io;version="[9.0,10)",com.liferay.
 portal.kernel.io.unsync;version="[8.0,9)",com.liferay.portal.kernel.j
 azzy;version="[1.0,2)",com.liferay.portal.kernel.jmx.model;version="[
 7.0,8)",com.liferay.portal.kernel.jndi;version="[7.0,8)",com.liferay.
 portal.kernel.json;version="[11.0,12)",com.liferay.portal.kernel.json
 webservice;version="[9.0,10)",com.liferay.portal.kernel.language;vers
 ion="[11.0,12)",com.liferay.portal.kernel.language.constants;version=
 "[1.0,2)",com.liferay.portal.kernel.layoutconfiguration.util.xml;vers
 ion="[1.0,2)",com.liferay.portal.kernel.license;version="[1.0,2)",com
 .liferay.portal.kernel.lock;version="[8.0,9)",com.liferay.portal.kern
 el.log;version="[7.1,8)",com.liferay.portal.kernel.management;version
 ="[8.0,9)",com.liferay.portal.kernel.messaging;version="[11.1,11.2)",
 com.liferay.portal.kernel.messaging.async;version="[6.2,7)",com.lifer
 ay.portal.kernel.messaging.proxy;version="[11.0,12)",com.liferay.port
 al.kernel.messaging.sender;version="[8.0,9)",com.liferay.portal.kerne
 l.mobile.device;version="[9.0,9.1)",com.liferay.portal.kernel.model.a
 dapter.builder;version="[1.0,2)",com.liferay.portal.kernel.model.chan
 ge.tracking;version="[3.0,4)",com.liferay.portal.kernel.model.dao;ver
 sion="[2.5,3)",com.liferay.portal.kernel.model.impl;version="[7.0,8)"
 ,com.liferay.portal.kernel.model.portlet;version="[2.0,3)",com.lifera
 y.portal.kernel.model.version;version="[3.0,4)",com.liferay.portal.ke
 rnel.model.wrapper;version="[3.0,4)",com.liferay.portal.kernel.module
 .configuration;version="[2.1,3)",com.liferay.portal.kernel.module.fra
 mework;version="[1.4,2)",com.liferay.portal.kernel.plugin;version="[7
 .0,8)",com.liferay.portal.kernel.poller;version="[7.0,8)",com.liferay
 .portal.kernel.pop;version="[7.0,8)",com.liferay.portal.kernel.portle
 t.bridges.mvc.constants;version="[1.0,2)",com.liferay.portal.kernel.p
 ortlet.configuration.icon.locator;version="[1.0,2)",com.liferay.porta
 l.kernel.portlet.toolbar.contributor;version="[1.1,2)",com.liferay.po
 rtal.kernel.portlet.toolbar.contributor.locator;version="[1.0,2)",com
 .liferay.portal.kernel.process;version="[8.0,9)",com.liferay.portal.k
 ernel.repository;version="[12.1,13)",com.liferay.portal.kernel.reposi
 tory.capabilities;version="[2.0,2.1)",com.liferay.portal.kernel.repos
 itory.event;version="[1.1,2)",com.liferay.portal.kernel.repository.ht
 tp.header.customizer;version="[1.0,2)",com.liferay.portal.kernel.repo
 sitory.model;version="[11.1,11.2)",com.liferay.portal.kernel.reposito
 ry.registry;version="[1.1,2)",com.liferay.portal.kernel.repository.se
 arch;version="[7.0,8)",com.liferay.portal.kernel.resource;version="[6
 .3,7)",com.liferay.portal.kernel.resource.manager;version="[1.0,2)",c
 om.liferay.portal.kernel.scheduler;version="[10.2,11)",com.liferay.po
 rtal.kernel.scheduler.messaging;version="[8.0,9)",com.liferay.portal.
 kernel.search.background.task;version="[2.0,3)",com.liferay.portal.ke
 rnel.search.facet;version="[8.0,9)",com.liferay.portal.kernel.search.
 facet.collector;version="[6.3,7)",com.liferay.portal.kernel.search.fa
 cet.config;version="[8.0,9)",com.liferay.portal.kernel.search.facet.u
 til;version="[7.0,8)",com.liferay.portal.kernel.search.filter;version
 ="[1.0,2)",com.liferay.portal.kernel.search.generic;version="[3.0,4)"
 ,com.liferay.portal.kernel.search.geolocation;version="[1.0,2)",com.l
 iferay.portal.kernel.search.highlight;version="[1.0,2)",com.liferay.p
 ortal.kernel.search.hits;version="[2.0,3)",com.liferay.portal.kernel.
 search.query;version="[1.0,2)",com.liferay.portal.kernel.search.resul
 t;version="[1.0,2)",com.liferay.portal.kernel.search.suggest;version=
 "[3.1,4)",com.liferay.portal.kernel.security;version="[6.2,7)",com.li
 feray.portal.kernel.security.auth.tunnel;version="[1.0,2)",com.lifera
 y.portal.kernel.security.auth.verifier;version="[2.0,3)",com.liferay.
 portal.kernel.security.permission.contributor;version="[1.0,2)",com.l
 iferay.portal.kernel.security.permission.propagator;version="[1.0,2)"
 ,com.liferay.portal.kernel.security.permission.resource.definition;ve
 rsion="[1.0,2)",com.liferay.portal.kernel.security.pwd;version="[3.0,
 4)",com.liferay.portal.kernel.security.xml;version="[2.0,3)",com.life
 ray.portal.kernel.service.change.tracking;version="[1.0,2)",com.lifer
 ay.portal.kernel.service.configuration;version="[1.1,1.2)",com.lifera
 y.portal.kernel.service.persistence;version="[16.0,17)",com.liferay.p
 ortal.kernel.service.persistence.change.tracking;version="[1.4,2)",co
 m.liferay.portal.kernel.servlet.filters.compoundsessionid;version="[7
 .0,8)",com.liferay.portal.kernel.settings;version="[3.2,4)",com.lifer
 ay.portal.kernel.spring.aop;version="[7.0,8)",com.liferay.portal.kern
 el.spring.orm;version="[1.0,2)",com.liferay.portal.kernel.spring.osgi
 ;version="[2.0,3)",com.liferay.portal.kernel.systemevent;version="[6.
 2,7)",com.liferay.portal.kernel.trash.helper;version="[1.0,2)",com.li
 feray.portal.kernel.upgrade;version="[18.1,19)",com.liferay.portal.ke
 rnel.upgrade.util;version="[10.2,11)",com.liferay.portal.kernel.uploa
 d;version="[9.0,10)",com.liferay.portal.kernel.util.comparator;versio
 n="[3.1,4)",com.liferay.portal.kernel.uuid;version="[6.2,7)",com.life
 ray.portal.kernel.version;version="[1.1,2)",com.liferay.portal.kernel
 .webdav.methods;version="[6.2,7)",com.liferay.portal.kernel.webserver
 ;version="[1.0,2)",com.liferay.portal.kernel.workflow.permission;vers
 ion="[7.0,8)",com.liferay.portal.kernel.workflow.search;version="[1.0
 ,2)",com.liferay.portal.kernel.xml;version="[7.0,7.1)",com.liferay.po
 rtal.kernel.xml.simple;version="[6.2,7)",com.liferay.portal.kernel.xm
 lrpc;version="[6.2,7)",com.liferay.portal.kernel.zip;version="[6.4,7)
 ",com.liferay.ratings.kernel;version="[1.2,2)",com.liferay.ratings.ke
 rnel.exception;version="[1.0,2)",com.liferay.ratings.kernel.model;ver
 sion="[4.0,4.1)",com.liferay.ratings.kernel.service;version="[2.6,2.7
 )",com.liferay.ratings.kernel.transformer;version="[1.0,2)",com.lifer
 ay.sites.kernel.util;version="[1.4,2)",com.liferay.social.kernel.exce
 ption;version="[1.0,2)",com.liferay.social.kernel.model;version="[6.0
 ,6.1)",com.liferay.social.kernel.service;version="[3.0,3.1)",com.life
 ray.social.kernel.service.persistence;version="[4.2,5)",com.liferay.t
 rash.kernel.exception;version="[1.1,2)",com.liferay.trash.kernel.mode
 l;version="[5.0,5.1)",com.liferay.users.admin.kernel.file.uploads;ver
 sion="[2.0,3)",javax.mail,javax.mail.internet,javax.management,javax.
 naming,javax.naming.directory,javax.net.ssl,javax.portlet,javax.portl
 et.annotations,javax.portlet.filter,javax.security.auth,javax.securit
 y.auth.callback,javax.security.auth.login,javax.security.auth.spi,jav
 ax.servlet,javax.servlet.http,javax.sql,javax.xml.namespace,javax.xml
 .parsers,javax.xml.stream,javax.xml.transform,org.osgi.framework,org.
 osgi.util.tracker,org.xml.sax
Include-Resource: classes
Javac-Compiler: modern
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: ISO-8859-1
Liferay-Portal-Build-Date: Fri Oct 21 00:00:00 PDT 2022
Liferay-Portal-Build-Number: 7413
Liferay-Portal-Build-Time: Thu Aug 22 18:55:02 PDT 2024
Liferay-Portal-Code-Name: Cavanaugh
Liferay-Portal-Parent-Build-Number: 7413
Liferay-Portal-Release-Info: Liferay Digital Experience Platform 7.4.1
 3 Update 47 (Cavanaugh / Build 7413 / October 21, 2022)
Liferay-Portal-Server-Info: Liferay Digital Experience Platform / 7.4.
 13
Liferay-Portal-Version: 7.4.13
Liferay-Portal-Version-Display-Name: 7.4.13 Update 47
Private-Package: com.liferay.portal.kernel.internal.cache,com.liferay.
 portal.kernel.internal.dao.jdbc,com.liferay.portal.kernel.internal.da
 o.orm,com.liferay.portal.kernel.internal.security.access.control,com.
 liferay.portal.kernel.internal.security.permission.resource,com.lifer
 ay.portal.kernel.internal.service.permission,com.liferay.portal.kerne
 l.internal.service.persistence,com.liferay.portal.kernel.internal.ser
 vice.persistence.change.tracking,com.liferay.portal.kernel.internal.s
 ervlet,com.liferay.portal.kernel.internal.spring.transaction,com.life
 ray.portal.kernel.internal.util,com.liferay.portal.kernel.module.util
Require-Capability: osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Tool: Bnd-3.5.0.201709291849
